# OgreExternalTextureSource.h File Reference

`#include "OgreStringInterface.h"`
`#include "OgreResourceGroupManager.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Enumerations

enum | eTexturePlayMode { TextureEffectPause = 0, TextureEffectPlay_ASAP = 1, TextureEffectPlay_Looping = 2 }
| Enum for type of texture play mode. More...

## Enumeration Type Documentation

enum Ogre::eTexturePlayMode

Enum for type of texture play mode.

Enumeration values:

  TextureEffectPause |
  TextureEffectPlay_ASAP | Video starts out paused.
  TextureEffectPlay_Looping | Video starts playing as soon as possible.

Definition at line 54 of file OgreExternalTextureSource.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009